WC(1)

NAZWA
wc - wypisuje liczbę wierszy, słów i bajtów każdego z plików

SKŁADNIA
wc [OPCJA]... [PLIK]...
wc [OPCJA]... --files0-from=P

OPIS

Wypisuje liczbę znaków nowego wiersza, słów oraz bajtów każdego PLIKU, a także podsumowanie, jeśli podano kilka PLIKÓW. Słowo jest niezerowym łańcuchem znaków, ograniczonym odstępem.

Jeśli nie podano PLIKU lub jako PLIK podano -, czyta standardowe wejście.

Poniższe opcje mogą być użyte do wybrania które z liczb mają być wypisane; kolejność jest zawsze następująca: liczba znaków nowego wiersza, liczba słów, liczba znaków, liczba bajtów, maksymalna długość wiersza.

-c, --bytes
    wypisuje liczbę bajtów

-m, --chars
    wypisuje liczbę znaków

-l, --lines
    wypisuje liczbę znaków nowego wiersza

--files0-from=P
    odczytuje wejście z plików o nazwach zakończonym znakiem NUL wypisanych w P, jeśli jako P podano -, to nazwy są odczytywane ze standardowego wejścia

-L, --max-line-length
    wypisuje maksymalną szerokość wyświetlania

-w, --words
    wypisuje liczbę słów

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

AUTOR
Napisane przez Paula Rubina i Davida MacKenzie.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <http://www.gnu.org/software/coreutils/>
Zgłoszenia błędów w tłumaczeniu wc proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2016 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja na stronie: <http://www.gnu.org/software/coreutils/wc>
lub lokalnie, za pomocą info '(coreutils) wc invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Gwidon S. Naskrent (PTM) <naskrent@hoth.amu.edu.pl>, Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.25 oryginału.